Package com.logicaldoc.core.parser

# Class ParseParameters

java.lang.Object
com.logicaldoc.core.parser.ParseParameters

public class ParseParameters extends Object
Some parameters to parse documents

Since:
  8.8.5
Author:
  Marco Meschieri - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`ParseParameters(Document document, String filename, String fileVersion, String encoding, Locale locale, String tenant)`

## Method Summary

Modifier and Type
Method
Description
`Document`
`getDocument()`
`String`
`getEncoding()`
`String`
`getFileName()`
`String`
`getFileVersion()`
`Locale`
`getLocale()`
`String`
`getTenant()`
`void`
`setDocument(Document document)`
`void`
`setEncoding(String encoding)`
`void`
`setFileName(String fileName)`
`void`
`setFileVersion(String fileVersion)`
`void`
`setLocale(Locale locale)`
`void`
`setTenant(String tenant)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ParseParameters

public ParseParameters(Document document, String filename, String fileVersion, String encoding, Locale locale, String tenant)

## Method Details

### getDocument

public Document getDocument()

### setDocument

public void setDocument(Document document)

### getFileName

public String getFileName()

### setFileName

public void setFileName(String fileName)

### getFileVersion

public String getFileVersion()

### setFileVersion

public void setFileVersion(String fileVersion)

### getEncoding

public String getEncoding()

### setEncoding

public void setEncoding(String encoding)

### getLocale

public Locale getLocale()

### setLocale

public void setLocale(Locale locale)

### getTenant

public String getTenant()

### setTenant

public void setTenant(String tenant)